The following are rough requirements for an updated version of Soot: